Create Category
curl --request POST \
--url https://cms.thepublive.com/publisher/{publisher_id}/category/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"english_name": "<string>",
"slug": "<string>",
"meta_title": "<string>",
"h1_tag": "<string>",
"meta_description": "<string>",
"parent_category": 123,
"priority": 500,
"content": "<string>",
"category_brand_color": "<string>",
"content_type": "<string>"
}
'import requests
url = "https://cms.thepublive.com/publisher/{publisher_id}/category/"
payload = {
"name": "<string>",
"english_name": "<string>",
"slug": "<string>",
"meta_title": "<string>",
"h1_tag": "<string>",
"meta_description": "<string>",
"parent_category": 123,
"priority": 500,
"content": "<string>",
"category_brand_color": "<string>",
"content_type": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
english_name: '<string>',
slug: '<string>',
meta_title: '<string>',
h1_tag: '<string>',
meta_description: '<string>',
parent_category: 123,
priority: 500,
content: '<string>',
category_brand_color: '<string>',
content_type: '<string>'
})
};
fetch('https://cms.thepublive.com/publisher/{publisher_id}/category/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Created Successfully",
"data": {
"id": 1000
}
}{
"detail": "Invalid Auth Credentials"
}Create Category
POST
/
publisher
/
{publisher_id}
/
category
/
Create Category
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Body
application/json
Immutable after creation. Used for permalink.
Immutable after creation.
Immutable after creation.
Required range:
1 <= x <= 1000Immutable after creation.
Response
Created
Last modified on August 10, 2026
Was this page helpful?
⌘I